#  Copyright (C) 2020, 2019 Girish M
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
# 
import math

n = input("how many lines should the Pascal triangle have?")
pattern = ''
odd = 1

if n < 1:
    print"enter a bigger number"
elif n > 150:
    print"enter a smaller number"
else:

    while n > 0:
        spaces = n - 1
        '''print spaces'''
        while spaces > 0:
            pattern = pattern + ' '
            spaces = spaces - 1
        '''print Pascal number''' 
        pn = 1
        while pn > 0:
            r = 0
            while r <= n:
                pattern = pattern + ' ' + str(math.factorial(n)/((math.factorial(n-r)*math.factorial(r))))
                r = r+1 
                pn = pn - 1
        pattern = pattern + '\n'
        pn = pn + 1
        odd = odd + 2
        n = n - 1

    print pattern
    



